#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Locale
%define		pnam	Msgcat
Summary:	Locale::Msgcat - access the XPG4 message catalog functions
Summary(pl.UTF-8):	Locale::Msgcat - dostęp do funkcji katalogów komunikatów XPG4
Name:		perl-Locale-Msgcat
Version:	1.03
Release:	11
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/%{pnam}-%{version}.tar.gz
# Source0-md5:	8dbfee7b81e94cf946c9f28ab0bc5291
URL:		http://search.cpan.org/dist/Locale-Msgcat/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Locale::Msgcat module allows access to the XPG4 message catalog
functions (catopen(3), catgets(3) and catclose(3)), which are
available on some systems.

%description -l pl.UTF-8
Moduł Locale::Msgcat oferuje dostęp do katalogu komunikatów XPG4
poprzez funkcje catopen(3), catgets(3) and catclose(3), dostępne na
niektórych systemach.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Locale/*.pm
%dir %{perl_vendorarch}/auto/Locale/Msgcat
%{perl_vendorarch}/auto/Locale/Msgcat/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Locale/Msgcat/*.so
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Locale-Msgcat.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b9cff24
- rebuild with perl 5.18.0
- release 11 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> d009c9b
- dropped pre-cvs changelog

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> b4d4e6f
- BR: rpm-perlprov

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b740b73
- release 10

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 16523a6
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9736cc9
- rel 9

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 031a9c3
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4910f9b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 74b6615
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e423769
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 035f3a3
- rel. 8

* Thu May 06 2004 ankry <ankry@pld-linux.org> ea60072
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> fac2adb
- tests added

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> b715f75
- license fixes & unification

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> b837831
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> ae99c2b
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 9cbd302
- massive attack s/pld.org.pl/pld-linux.org/

* Sun May 11 2003 ankry <ankry@pld-linux.org> 6ca96b1
- probably typo

* Sun May 11 2003 Jakub Bogusz <qboosh@pld-linux.org> 69b5fa2
- finished pl summary

* Sat May 10 2003 radek <radek@pld-linux.org> 61335e0
- removed R: perl, provided informative summary

